svn commit: r324188 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Mon Oct 2 06:48:57 UTC 2017


Author: pho
Date: Mon Oct  2 06:48:56 2017
New Revision: 324188
URL: https://svnweb.freebsd.org/changeset/base/324188

Log:
  Fix typo in the exit statement noted by jilles@
  Add note that not breaking out on fsck failure is on purpose.
  Remove reference to now unused $i.
  
  Reported by:	jilles@
  Sponsored by:	Dell EMC Isilon

Modified:
  user/pho/stress2/misc/trim4.sh

Modified: user/pho/stress2/misc/trim4.sh
==============================================================================
--- user/pho/stress2/misc/trim4.sh	Mon Oct  2 06:05:19 2017	(r324187)
+++ user/pho/stress2/misc/trim4.sh	Mon Oct  2 06:48:56 2017	(r324188)
@@ -41,9 +41,10 @@ mdconfig -l | grep -q md$mdstart &&  mdconfig -d -u $m
 size="1g"
 [ $# -eq 0 ] && trim=-t
 [ "$newfs_flags" = "-U" ] && flag="-j"
+s=0
 start=`date +%s`
 while [ $((`date +%s` - start)) -lt $((15 * 60)) ]; do
-	echo "Test #$i `date '+%T'`"
+	echo "Test `date '+%T'`"
 	echo "mdconfig -a -t swap -s $size -u $mdstart"
 	mdconfig -a -t swap -s $size -u $mdstart || exit 1
 	bsdlabel -w md$mdstart auto
@@ -62,7 +63,8 @@ while [ $((`date +%s` - start)) -lt $((15 * 60)) ]; do
 	while mount | grep $mntpoint | grep -q /dev/md; do
 		umount $mntpoint || sleep 1
 	done
-	checkfs /dev/md${mdstart}$part; s=$?
+#	Do not break in case of fsck error
+	checkfs /dev/md${mdstart}$part || s=$?
 	mdconfig -d -u $mdstart
 done
-exit $?
+exit $s


More information about the svn-src-user mailing list